## GstSRTSink

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSink
                        ╰──GstSRTSink

### Signals

#### caller-added

    caller_added_callback (GstElement * gstsrtsink,
                           gint unused,
                           GSocketAddress * addr,
                           gpointer udata)

    def caller_added_callback (gstsrtsink, unused, addr, udata):
        #python callback for the 'caller-added' signal

    function caller_added_callback(gstsrtsink: GstElement * gstsrtsink, unused: gint unused, addr: GSocketAddress * addr, udata: gpointer udata): {
        // javascript callback for the 'caller-added' signal
    }

A new caller has connected to gstsrtsink.

Parameters:

`gstsrtsink` –

the srtsink element that emitted this signal

`unused` –

always zero (for ABI compatibility with previous versions)

`addr` –

the GSocketAddress of the new caller

`udata` –
No description available

Flags: Run Last

#### caller-connecting

    gboolean
    caller_connecting_callback (GstElement * gstsrtsink,
                                GSocketAddress * addr,
                                gchararray stream_id,
                                gpointer udata)

    def caller_connecting_callback (gstsrtsink, addr, stream_id, udata):
        #python callback for the 'caller-connecting' signal

    function caller_connecting_callback(gstsrtsink: GstElement * gstsrtsink, addr: GSocketAddress * addr, stream_id: gchararray stream_id, udata: gpointer udata): {
        // javascript callback for the 'caller-connecting' signal
    }

Whether to accept or reject a caller's connection to srtsink in listener mode. The Caller's connection is rejected if the callback returns FALSE, else the connection is accepeted.

Parameters:

`gstsrtsink` –

the srtsink element that emitted this signal

`addr` –

the GSocketAddress that describes the client socket

`stream_id` –

the stream Id to which the caller wants to connect

`udata` –
No description available
Returns (gboolean) –
No description available

Flags: Run Last

Since : 1.20

#### caller-rejected

    caller_rejected_callback (GstElement * gstsrtsink,
                              GSocketAddress * addr,
                              gchararray stream_id,
                              gpointer udata)

    def caller_rejected_callback (gstsrtsink, addr, stream_id, udata):
        #python callback for the 'caller-rejected' signal

    function caller_rejected_callback(gstsrtsink: GstElement * gstsrtsink, addr: GSocketAddress * addr, stream_id: gchararray stream_id, udata: gpointer udata): {
        // javascript callback for the 'caller-rejected' signal
    }

A caller's connection to srtsink in listener mode has been rejected.

Parameters:

`gstsrtsink` –

the srtsink element that emitted this signal

`addr` –

the GSocketAddress that describes the client socket

`stream_id` –

the stream Id to which the caller wants to connect

`udata` –
No description available

Flags: Run Last

Since : 1.20

#### caller-removed

    caller_removed_callback (GstElement * gstsrtsink,
                             gint unused,
                             GSocketAddress * addr,
                             gpointer udata)

    def caller_removed_callback (gstsrtsink, unused, addr, udata):
        #python callback for the 'caller-removed' signal

    function caller_removed_callback(gstsrtsink: GstElement * gstsrtsink, unused: gint unused, addr: GSocketAddress * addr, udata: gpointer udata): {
        // javascript callback for the 'caller-removed' signal
    }

The given caller has disconnected.

Parameters:

`gstsrtsink` –

the srtsink element that emitted this signal

`unused` –

always zero (for ABI compatibility with previous versions)

`addr` –

the GSocketAddress of the caller

`udata` –
No description available

Flags: Run Last

The results of the search are